#include "xgfxworlddpvsdynamic.h"

XGfxWorldDpvsDynamic::XGfxWorldDpvsDynamic()
    : XAsset()
    , mDynEntClientWordCount()
    , mDynEntClientCount()
    , mDynEntCellBitsPtrs()
    , mDynEntCellBits()
    , mDynEntVisDataPtrs()
    , mDynEntVisData()
{
    SetName("GFX World DPVS Dynamic");
}

XGfxWorldDpvsDynamic::~XGfxWorldDpvsDynamic()
{
    
}

quint32 XGfxWorldDpvsDynamic::GetClientCount(int aIndex) const
{
    return mDynEntClientCount[aIndex];
}

void XGfxWorldDpvsDynamic::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XGfxWorldDpvsDynamic::ParseData
}

void XGfxWorldDpvsDynamic::Clear()
{
    mDynEntClientWordCount.clear();
    mDynEntClientCount.clear();
    mDynEntCellBitsPtrs.clear();
    mDynEntCellBits.clear();
    mDynEntVisDataPtrs.clear();
    mDynEntVisData.clear();
}
